Subject: Ticket Assigned - Landmark Group
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 06 Jun 2021 11:44:22 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group This is complain 
I am writing to you for the second time

I had an online order on 31 May 2021 
Order No: 8265893735
the payment amount of 154.640 KWD was Withrow immediately from my a count 
KWSQ: 115136005940
but then you sent me massages that my order is not successful 
I checked with my bank NBK, the a mount is debited not just blocked as you are telling me

So please cash back my money ASAP as the order didn't went through but still I was cashed https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2677136